// File: c:\cbproj\AudioIO\in_AudioIO_BCB4.bpr / cpp
// Date: 2011-07-05
// Author: Wolfgang Buescher (DL4YHF)
// Purpose: "main module" for an Audio-I/O-DLL *compiled with Borland*,
//          ONLY FOR SOURCE-LEVEL DEBUGGING OF THE DLL,
//          in combination with the "Audio-I/O-Test-Client"
//          (also compiled with Borland).
//  This allows stepping into the DYNAMICALLY LOADED DLL (from AudioIO.C)
//  through the C-SOURCECODE(!), inspecting all variables *IN THE DLL*
//  and (at the same time) *IN THE DLL-HOST* because Borland seems to know
//  the symbol table of the variables IN THE DLL as well as the variables
//  of the DLL HOST.  Very helpful, and unfortunately this didn't work in DevC++.
//
//  To test this DLL (after compiling with BCB4), use the "DLL test client"
//     with the following parameters ("Run".."Parameters") :
//    Host Application: C:\cbproj\AudioIO\AudioIO_Test_Client_BCB4.exe
//    Parameters      : c:\cbproj\AudioIO\in_AudioIO_BCB4_DONT_USE.dll /c
//  Alternatively, SOMETIMES debugging is also possible with Spectrum Lab
//    as the host for this DLL. In that case, use :
//    Host Application: C:\cbproj\SpecLab\SpecLab.exe
//    Parameters      : /debug
//
//  For the FINAL VERSION of the compiled DLL, DO NOT USE THIS PROJECT
//      (thus the name "in_AudioIO_BCB4_DONT_USE.cpp");
//  use the wxDevCpp-project instead (c:\cbproj\AudioIO\in_AudioIO_DevCpp.dev) .
//  The 'real' DLL main sourcecode is in c:\cbproj\AudioIO\aio2winamp.c !

#include <windows.h>
#pragma hdrstop
#include <condefs.h>


//---------------------------------------------------------------------------
//
//   Important note about DLL memory management in a VCL DLL:
//
//
//
// If your DLL uses VCL and exports any functions that pass VCL String objects
// (or structs/classes containing nested Strings) as parameter or function
// results, you will need to build both your DLL project and any EXE projects
// that use your DLL with the dynamic RTL (the RTL DLL).  This will change your
// DLL and its calling EXE's to use BORLNDMM.DLL as their memory manager. In
// these cases, the file BORLNDMM.DLL should be deployed along with your DLL
// and the RTL DLL (CP3240MT.DLL). To avoid the requiring BORLNDMM.DLL in
// these situations, pass string information using "char *" or ShortString
// parameters and then link with the static RTL.
//
//---------------------------------------------------------------------------
USEUNIT("aio2winamp.c");
USEDEF("in_AudioIO_BCB4.def");
USEUNIT("..\SoundUtl\ChunkInfo.c");
USEUNIT("..\YHF_Tools\QFile.c");
USEUNIT("..\SoundUtl\Goodies.c");
USERC("AudioIO_DLL.rc");
//---------------------------------------------------------------------------
#pragma argsused

// This ugly stuff was automatically created and managed by the Borland IDE .
// Leave it here to make the IDE happy, and put all "important" code in a
// separate module (which is NOT managed by the IDE) !

// BUT: We don't want to have this important function in this Borland-garbled
//      module (which cannot be compiled with any other C compiler),
//    so comment it out so the foolish IDE doesn't see it (but doesn't complain)
#if( 0 )
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
 {
        return 1;
 }
#endif
